Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Class Customer_creditCards_SmartMapReference

    java.lang.Object
      com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartMapReference
          com.beasys.commerce.ebusiness.customer.Customer_creditCards_SmartMapReference

All Implemented Interfaces
  SmartMapReference, Serializable

Deprecated

    @Deprecated
    public class Customer_creditCards_SmartMapReference

extends com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartMapReference

Base class for all SmartMapReferences for Belongings for BMP. Each subclass must implement its own query to fill the map.

See Also
  Serialized Form

Constructor Summary
`Customer_creditCards_SmartMapReference(String attributeIdentifier, Object container)` Deprecated constructor

Method Summary
`static void` | `doCreate(Connection connection, Object key)` Deprecated
`static void` | `doDelete(Connection connection, Object key)` Deprecated
`Map` | `doQuery(String attributeIdentifier, Object container)` Deprecated Perform the database query to fill this map.
`static void` | `doUpdate(Connection connection, Object key, Object containedInstance, String mapKey, Object container)` Deprecated
`static void` | `refresh(String attributeIdentifier, Object container)` Deprecated Refreshes the SmartMapReference of CreditsCards associated with this Customer with the values from the database.
`static void` | `update(Connection connection, Object key, Object container)` Deprecated

Methods inherited from class com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartMapReference
`cursor, deletedObjects, doSmartUpdate, getMap, newObjects, setMap, updatedObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Customer_creditCards_SmartMapReference

    public Customer_creditCards_SmartMapReference(String attributeIdentifier,
                                                  Object container)

  Deprecated
  constructor

  Parameters
    `attributeIdentifier` - the attribute identifier for this map reference. This is the fully qualified class name "dot" attribute e.g. example.Customer.creditCards where example.Customer is a class and creditCards is a map in the class
    `entityImpl` - the entity that contains this map.

Method Detail

### doQuery

    public Map doQuery(String attributeIdentifier,
                       Object container)
                throws BMPException

  Deprecated
  Perform the database query to fill this map.

  Specified by:
    `doQuery` in class `com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartMapReference`
  Throws
    `BMPException`

### refresh

    public static void refresh(String attributeIdentifier,
                               Object container)
                        throws BMPException

  Deprecated
  Refreshes the SmartMapReference of CreditsCards associated with this Customer with the values from the database.

  Parameters
    `attributeIdentifier` - the attribute identifier for this map reference. This is the fully qualified class name "dot" attribute e.g. example.Customer.creditCards where example.Customer is a class and creditCards is a map in the class
    `container` - the Customer that owns these CreditCards
  Throws
    `BMPException`

### update

    public static void update(Connection connection,
                              Object key,
                              Object container)
                       throws BMPException

  Deprecated
  Throws
    `BMPException`

### doCreate

    public static void doCreate(Connection connection,
                                Object key)
                         throws BMPException

  Deprecated
  Throws
    `BMPException`

### doDelete

    public static void doDelete(Connection connection,
                                Object key)
                         throws BMPException

  Deprecated
  Throws
    `BMPException`

### doUpdate

    public static void doUpdate(Connection connection,
                                Object key,
                                Object containedInstance,
                                String mapKey,
                                Object container)
                         throws BMPException

  Deprecated
  Throws
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.